{% extends 'Default/index.html.twig' %}
{% block javascripts %}
  {{ parent() }}
  {{ encore_entry_script_tags('edit-operator') }}
{% endblock %}
{% block main_content %}
  <section id="intro" class="container px-4 my-4">
    <div class="row">
      <div class="col-lg-12 px-lg-4 py-lg-2">
        <h2>
          {% if operatoreUser.createdAt %}
            {{ (operatoreUser.isSystemUser ? 'nav.admin.edit_system_user' : 'nav.admin.edit_operator') | trans }}: {{ operatoreUser.fullName }}
          {% else %}
            {{ (operatoreUser.isSystemUser ? 'nav.admin.create_new_system_user' : 'nav.admin.create_new_operator') | trans }}
          {% endif %}
        </h2>
      </div>

      <div class="col-lg-12 px-lg-4 py-lg-2 mt-4">
        {{ form_start(form) }}
        <div class="row">
          <div class="col-12 col-md-6">
            {{ form_row(form.nome) }}
          </div>
          <div class="col-12 col-md-6">
            {{ form_row(form.cognome) }}
          </div>
        </div>

        <div class="row">
          <div class="col-12 col-md-6">
            {{ form_row(form.username) }}
          </div>
          <div class="col-12 col-md-6">
            {{ form_row(form.email) }}
          </div>
        </div>

        {% if form.enabled is defined %}
          {{ form_row(form.enabled) }}
        {% endif %}
        {% if form.system_user is defined %}
          {{ form_row(form.system_user) }}
        {% endif %}
        {% if form.services is defined %}
          <div id="servicesList">
            {{ form_label(form.services) }}

            {% block checkbox_hierarchy_widget %}
              <ul class="list-unstyled" id="mainList">
                {% for choiceOrOptionGroup,children in form.services.vars.choices %}
                  {% if children is iterable %}
                    <ul>
                      {% for child,choiceView in children %}
                        <li class="d-block">
                          <label class="checkbox"> <!-- Secondo livello (servizi in gruppo) -->
                            {{ form_widget(form.services[child],{
                              'attr':{
                                'value': choiceView.data
                              }}) }}
                          </label>
                        </li>
                      {% endfor %}
                    </ul>
                  {% else %}
                    {% if not loop.first %}
                      </li>
                    {% endif %}
                    <li>
                    <label class="checkbox"> <!-- Primo livello (servizi senza gruppo e gruppi) -->
                      {{ form_widget(form.services.offsetGet(choiceOrOptionGroup),{
                        'attr':{
                          'value': children.data,
                          'class':'group'
                        }}) }}
                    </label>
                  {% endif %}
                  {% if loop.last %}
                    </li>
                  {% endif %}
                {% endfor %}
              </ul>
            {% endblock %}
          </div>
          <div id="servicesListAlert" class="alert alert-info d-none">
            <i>{{ 'admin.alert_system_user_services' | trans }}</i>
          </div>
        {% else %}
          <div class="alert alert-info">
            <i>{{ 'admin.alert_system_user_services' | trans }}</i>
          </div>
        {% endif %}
        <div class="row mt-3">
          <div class="col-12 text-right">
            <a class="btn btn-outline-secondary"
               href="{{ path('admin_operatore_index') }}">{{ 'webhook.back_to_list' | trans() }}
            </a>
            {% if operatoreUser.createdAt %}
              <a class="btn btn-outline-primary"
                 href="{{ path('security_reset_operator_password', { 'user': operatoreUser.id }) }}">{{ 'security.password_reset' | trans() }}
              </a>
            {% endif %}
            <button name="save" type="submit" value="save" class="btn btn-primary ml-1">{{ 'salva'|trans }}</button>
          </div>
        </div>
        {{ form_end(form) }}
      </div>
    </div>
  </section>
{% endblock %}
